using UnityEngine;

namespace KitsuneCafe.System
{
    public interface IGameObject
    {
        GameObject gameObject { get; }
        T GetComponent<T>();
        bool TryGetComponent<T>(out T value);
    }
}
